/*
 * Copyright (C) 1998-1999  Mark Hessling <M.Hessling@qut.edu.au>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * For platforms that don't use autoconf, put these here...
 */

#if defined(DOS) && defined(__EMX__)
# define HAVE_ASSERT_H 
# define HAVE_CTYPE_H
# define HAVE_MALLOC_H
# define HAVE_SETJMP_H
# define HAVE_STDARG_H
# define HAVE_STDLIB_H
# define HAVE_STRING_H
# define HAVE_UNISTD_H
# define HAVE_FULLPATH
# define HAVE_PUTENV
# define HAVE_GETTIMEOFDAY
# define HAVE_FTRUNCATE
# define HAVE_MEMCPY
# define HAVE_MEMMOVE
# define HAVE_STRERROR
# define HAVE_VFPRINTF
# define TIME_WITH_SYS_TIME
#endif

#if defined(__OS2__) && defined(__EMX__)
# define HAVE_ASSERT_H
# define HAVE_CTYPE_H
# define HAVE_MALLOC_H
# define HAVE_SETJMP_H
# define HAVE_STDARG_H
# define HAVE_STDLIB_H
# define HAVE_SYS_TYPES_H
# define HAVE_SYS_STAT_H
# define HAVE_IO_H
# define HAVE_TIME_H
# define HAVE_UNISTD_H
# define HAVE_STRING_H
# define HAVE_FULLPATH
# define HAVE_GETOPT
# define HAVE_PUTENV
# define HAVE_GETTIMEOFDAY
# define HAVE_FTRUNCATE
# define HAVE_MEMCPY
# define HAVE_MEMMOVE
# define HAVE_STRERROR
# define HAVE_VFPRINTF
# define TIME_WITH_SYS_TIME
#endif

#if defined(__OS2__) && defined(__IBMC__)
# define HAVE_ASSERT_H
# define HAVE_STDARG_H
# define HAVE_SETJMP_H
# define HAVE_SYS_STAT_H
# define HAVE_FULLPATH
# define HAVE_PUTENV
# define HAVE_GETTIMEOFDAY
# define HAVE_FTRUNCATE
# define HAVE_MEMCPY
# define HAVE_MEMMOVE
# define HAVE_STRERROR
# define HAVE_VFPRINTF
# define TIME_WITH_SYS_TIME
#endif

#if defined(__OS2__) && defined(__WATCOMC__)
# define HAVE_ASSERT_H
# define HAVE_MALLOC_H
# define HAVE_SETJMP_H
# define HAVE_STDARG_H
# define HAVE_SYS_STAT_H
# define HAVE_UNISTD_H
# define HAVE__FULLPATH
# define HAVE_PUTENV
# define HAVE_MEMCPY
# define HAVE_MEMMOVE
# define HAVE_STRERROR
# define HAVE_VFPRINTF
#endif

#if defined(WIN32) && defined(__WATCOMC__)
# define HAVE_ASSERT_H
# define HAVE_MALLOC_H
# define HAVE_SETJMP_H
# define HAVE_STDARG_H
# define HAVE_SYS_STAT_H
# define HAVE_UNISTD_H
# define HAVE_FTIME
# define HAVE__FULLPATH
# define HAVE_MEMCPY
# define HAVE_MEMMOVE
# define HAVE_PUTENV
# define HAVE_STRERROR
# define HAVE_VFPRINTF
#endif

#if defined(WIN32) && defined(_MSC_VER)
# define HAVE_ASSERT_H
# define HAVE_MALLOC_H
# define HAVE_SETJMP_H
# define HAVE_STDARG_H
# define HAVE_SYS_STAT_H
# define HAVE__FULLPATH
# define HAVE_PUTENV
# define HAVE_FTIME
# define HAVE_MEMCPY
# define HAVE_MEMMOVE
# define HAVE_STRERROR
# define HAVE_VFPRINTF
#endif

#if defined(DOS) && defined(DJGPP)
# define HAVE_ASSERT_H
# define HAVE_LIMITS_H
# define TIME_WITH_SYS_TIME
# define HAVE_SETJMP_H
# define HAVE_STDARG_H
# define HAVE_UNISTD_H
# define HAVE_PUTENV
# define HAVE_GETTIMEOFDAY
# define HAVE_FTRUNCATE
# define HAVE_RANDOM
# define HAVE_USLEEP
# define HAVE_MEMCPY
# define HAVE_MEMMOVE
# define HAVE_STRERROR
# define HAVE_TRUENAME
# define HAVE_VFPRINTF
# ifndef _MAX_PATH
#  define _MAX_PATH  PATH_MAX
# endif
#endif

